%define base_name       tcpdf
%define version_        %(echo %{version} | tr . _)
%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{base_name}
Version:    6.2.13
Release:    %mkrel 2
Summary:    PHP class for generating PDF documents
License:    LGPLv3+
Group:      Development/PHP
URL:        http://www.tcpdf.org/
Source:     http://sourceforge.net/projects/tcpdf/files/tcpdf_%{version_}.zip
BuildArch:  noarch
BuildRequires:  php-fedora-autoloader-devel
Requires:       php-bcmath
Requires:       php-curl
Requires:       php-gd
Requires:       php-hash
Requires:       php-json
Requires:       php-mbstring
Requires:       php-openssl
Requires:       php-pcre
Requires:       php-posix
Requires:       php-xml
Requires:       php-zlib
# Autoloader
Requires:       php-composer(fedora/autoloader)
# New name
Provides:       php-composer(tecnickcom/tcpdf)  = %{version}

%description
TCPDF is a FLOSS PHP class for generating PDF documents.

%prep
%setup -q -n tcpdf

%build

%install
install -d -m 755 %{buildroot}%{php_libdir}/tcpdf
cp -pr *.php   %{buildroot}%{php_libdir}/tcpdf
cp -pr include %{buildroot}%{php_libdir}/tcpdf
cp -pr fonts   %{buildroot}%{php_libdir}/tcpdf
install -d -m 755 %{buildroot}%{php_libdir}/tcpdf/images
install -m 644 examples/images/_blank.png \
    %{buildroot}%{php_libdir}/tcpdf/images/

php -d memory_limit=2G\
    %{_bindir}/phpab \
    --template fedora \
    --output %{buildroot}%{php_libdir}/tcpdf/autoload.php \
    %{buildroot}%{php_libdir}/tcpdf

install -d -m 755 %{buildroot}%{_sysconfdir}/tcpdf
install -m 644 config/*.php %{buildroot}%{_sysconfdir}/tcpdf

install -d -m 755 %{buildroot}%{_bindir}
install -m 755 tools/tcpdf_addfont.php \
           %{buildroot}%{_bindir}/tcpdf_addfont

%files
%doc CHANGELOG.TXT LICENSE.TXT README.md examples
%{php_libdir}/tcpdf
%{_bindir}/tcpdf_addfont
%dir %{_sysconfdir}/tcpdf
%config(noreplace) %{_sysconfdir}/tcpdf/*



%changelog
* Wed Apr 19 2017 guillomovitch <guillomovitch> 6.2.13-2.mga6
+ Revision: 1096850
- add autoloader
- switch to new PHP dependencies syntax

* Fri Jan 06 2017 guillomovitch <guillomovitch> 6.2.13-1.mga6
+ Revision: 1080298
- new version 6.2.13

* Sat Feb 20 2016 umeabot <umeabot> 6.2.12-2.mga6
+ Revision: 971986
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 guillomovitch <guillomovitch> 6.2.12-1.mga6
+ Revision: 893961
- new version 6.2.12

* Thu Aug 20 2015 guillomovitch <guillomovitch> 6.2.11-1.mga6
+ Revision: 866995
- new version 6.2.11

* Mon Jun 22 2015 guillomovitch <guillomovitch> 6.2.9-1.mga6
+ Revision: 839505
- new version 6.2.9

* Sun Nov 09 2014 guillomovitch <guillomovitch> 6.0.098-1.mga5
+ Revision: 796126
- new version 6.0.098

* Wed Oct 15 2014 umeabot <umeabot> 6.0.091-5.mga5
+ Revision: 746309
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 6.0.091-4.mga5
+ Revision: 725205
- rebuild for bogus file deps

* Thu Sep 25 2014 guillomovitch <guillomovitch> 6.0.091-3.mga5
+ Revision: 724637
- fix automatic dependencies

* Tue Sep 16 2014 umeabot <umeabot> 6.0.091-2.mga5
+ Revision: 687553
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 guillomovitch <guillomovitch> 6.0.091-1.mga5
+ Revision: 665988
- new version 6.0.091

* Tue Aug 05 2014 guillomovitch <guillomovitch> 6.0.089-1.mga5
+ Revision: 659735
- new version 6.0.089

* Sat Jun 28 2014 guillomovitch <guillomovitch> 6.0.087-1.mga5
+ Revision: 640549
- new version 6.0.087

* Thu May 29 2014 guillomovitch <guillomovitch> 6.0.082-1.mga5
+ Revision: 627579
- new version 6.0.082

* Wed Apr 30 2014 guillomovitch <guillomovitch> 6.0.073-1.mga5
+ Revision: 618959
- new version 6.0.073

* Tue Apr 08 2014 guillomovitch <guillomovitch> 6.0.064-1.mga5
+ Revision: 612925
- new version 6.0.064

* Tue Feb 04 2014 guillomovitch <guillomovitch> 6.0.059-1.mga5
+ Revision: 580597
- new version 6.0.59

* Sat Dec 14 2013 guillomovitch <guillomovitch> 6.0.052-1.mga4
+ Revision: 556763
- new version

* Sat Nov 30 2013 guillomovitch <guillomovitch> 6.0.049-1.mga4
+ Revision: 554141
- new version 6.0.49

* Thu Nov 21 2013 guillomovitch <guillomovitch> 6.0.047-1.mga4
+ Revision: 552137
- new version

* Mon Nov 11 2013 guillomovitch <guillomovitch> 6.0.044-1.mga4
+ Revision: 550487
- new version

* Wed Oct 30 2013 guillomovitch <guillomovitch> 6.0.043-1.mga4
+ Revision: 547920
- new version 6.0.043

* Tue Oct 22 2013 umeabot <umeabot> 6.0.039-2.mga4
+ Revision: 542075
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 guillomovitch <guillomovitch> 6.0.039-1.mga4
+ Revision: 496965
- new version 6.0.039

* Wed Oct 02 2013 guillomovitch <guillomovitch> 6.0.037-1.mga4
+ Revision: 490398
- new version

* Tue Sep 24 2013 guillomovitch <guillomovitch> 6.0.033-1.mga4
+ Revision: 485655
- new version 6.0.33

* Tue Sep 17 2013 guillomovitch <guillomovitch> 6.0.030-1.mga4
+ Revision: 481034
- new version 6.0.30

* Thu Sep 05 2013 guillomovitch <guillomovitch> 6.0.025-1.mga4
+ Revision: 475314
- new version 6.0.025

* Mon Aug 19 2013 guillomovitch <guillomovitch> 6.0.023-2.mga4
+ Revision: 467628
- don't ship .htaccess files in a library

* Fri Aug 09 2013 guillomovitch <guillomovitch> 6.0.023-1.mga4
+ Revision: 464963
- new version

* Fri Jun 28 2013 guillomovitch <guillomovitch> 6.0.020-2.mga4
+ Revision: 448066
- fix license

* Fri Jun 28 2013 guillomovitch <guillomovitch> 6.0.020-1.mga4
+ Revision: 448060
- imported package php-tcpdf

